## hyprland-qtutils 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Get version
file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} VER)

project(hyprland-qtutils VERSION ${VER} LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Quick QuickControls2 WaylandClient)
find_package(PkgConfig REQUIRED)

pkg_check_modules(hyprutils REQUIRED IMPORTED_TARGET hyprutils)

qt_standard_project_setup(REQUIRES 6.5)

add_subdirectory(utils/dialog)
add_subdirectory(utils/update-screen)
add_subdirectory(utils/donate-screen)

=== utils/dialog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(hyprland-dialog VERSION ${VER} LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Quick QuickControls2 WaylandClient)
find_package(PkgConfig REQUIRED)

pkg_check_modules(hyprutils REQUIRED IMPORTED_TARGET hyprutils)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(hyprland-dialog
    main.cpp
    Dialog.cpp
)

qt_add_qml_module(hyprland-dialog
    URI org.hyprland.dialog
    VERSION 1.0
    QML_FILES main.qml
)

target_link_libraries(hyprland-dialog PRIVATE
    Qt6::Widgets Qt6::QuickControls2 Qt6::WaylandClientPrivate PkgConfig::hyprutils
)


include(GNUInstallDirs)
install(TARGETS hyprland-dialog
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== utils/donate-screen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(hyprland-donate-screen VERSION ${VER} LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Quick QuickControls2 WaylandClient)
find_package(PkgConfig REQUIRED)

pkg_check_modules(hyprutils REQUIRED IMPORTED_TARGET hyprutils)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(hyprland-donate-screen
    main.cpp
    DonateScreen.cpp
)

qt_add_qml_module(hyprland-donate-screen
    URI org.hyprland.donate-screen
    VERSION 1.0
    QML_FILES main.qml
)

qt_add_resources(hyprland-donate-screen "assets"
    PREFIX "/"
    FILES
        assets/heart.svg
)

target_link_libraries(hyprland-donate-screen PRIVATE
    Qt6::Widgets Qt6::QuickControls2 Qt6::WaylandClientPrivate PkgConfig::hyprutils
)


include(GNUInstallDirs)
install(TARGETS hyprland-donate-screen
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== utils/update-screen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(hyprland-update-screen VERSION ${VER} LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Quick QuickControls2 WaylandClient)
find_package(PkgConfig REQUIRED)

pkg_check_modules(hyprutils REQUIRED IMPORTED_TARGET hyprutils)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(hyprland-update-screen
    main.cpp
    Dialog.cpp
    Dialog.hpp
    UpdateScreen.cpp
)

qt_add_qml_module(hyprland-update-screen
    URI org.hyprland.update-screen
    VERSION 1.0
    QML_FILES main.qml dialogMain.qml
)

qt_add_resources(hyprland-update-screen "assets"
    PREFIX "/"
    FILES
        assets/heart.svg
)

target_link_libraries(hyprland-update-screen PRIVATE
    Qt6::Widgets Qt6::QuickControls2 Qt6::WaylandClientPrivate PkgConfig::hyprutils
)


include(GNUInstallDirs)
install(TARGETS hyprland-update-screen
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
hyprland-qtutils (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1110117)

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 17 Oct 2025 20:57:06 +0200

=== debian/control ===
Source: hyprland-qtutils
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libhyprutils-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland-dev,
 qt6-wayland-private-dev,
 qt6-declarative-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprland-qtutils
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprland-qtutils
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprland-qtutils.git

Package: hyprland-qtutils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml6-module-org-hyprland-style,
 qt6-wayland,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-templates,
 qml6-module-qtqml-workerscript,
Description: Qt/QML utilities for Hyprland
 Small Qt/QML helper tools (dialogs, update and donation screens)
 used by hypr applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
Version: 5

Template: Github
Owner: hyprwm
Project: hyprland-qtutils
